Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class CategoryTrainingDocument

    java.lang.Object
      com.autonomy.aci.businessobjects.AciBusinessObject
          com.autonomy.aci.businessobjects.CategoryTrainingDocument

All Implemented Interfaces:
  java.io.Serializable

public class CategoryTrainingDocument
extends AciBusinessObject

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `TRAINING_TYPE_IDOL`
`static java.lang.String` | `TRAINING_TYPE_UNKNOWN`
`static java.lang.String` | `TRAINING_TYPE_UPLOAD`
`static java.lang.String` | `TRAINING_TYPE_URL`

Constructor Summary
`CategoryTrainingDocument()`
`CategoryTrainingDocument(java.lang.String sID)`

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates whether some other object is "equal to" this CategoryTrainingDocument.
`java.lang.String` | `getContent()`
`java.lang.String` | `getDocReference()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getType()`
`boolean` | `isIDOLDocType()`
`boolean` | `isUploadType()`
`boolean` | `isURLType()`
`void` | `setContent(java.lang.String sContent)`
`void` | `setDocReference(java.lang.String sDocRef)`
`void` | `setTitle(java.lang.String sTitle)`
`void` | `setType(java.lang.String sType)`

Methods inherited from class com.autonomy.aci.businessobjects.AciBusinessObject
`getUID, setUID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRAINING_TYPE_IDOL

    public static final java.lang.String TRAINING_TYPE_IDOL

See Also:
  Constant Field Values

### TRAINING_TYPE_URL

    public static final java.lang.String TRAINING_TYPE_URL

See Also:
  Constant Field Values

### TRAINING_TYPE_UPLOAD

    public static final java.lang.String TRAINING_TYPE_UPLOAD

See Also:
  Constant Field Values

### TRAINING_TYPE_UNKNOWN

    public static final java.lang.String TRAINING_TYPE_UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### CategoryTrainingDocument

    public CategoryTrainingDocument()

### CategoryTrainingDocument

    public CategoryTrainingDocument(java.lang.String sID)

Method Detail

### setDocReference

    public void setDocReference(java.lang.String sDocRef)

### setTitle

    public void setTitle(java.lang.String sTitle)

### setType

    public void setType(java.lang.String sType)

### setContent

    public void setContent(java.lang.String sContent)

### getDocReference

    public java.lang.String getDocReference()

### getTitle

    public java.lang.String getTitle()

### getType

    public java.lang.String getType()

### getContent

    public java.lang.String getContent()

### isIDOLDocType

    public boolean isIDOLDocType()

### isURLType

    public boolean isURLType()

### isUploadType

    public boolean isUploadType()

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other object is "equal to" this CategoryTrainingDocument. This is taken to mean that their document references are the same.

  Parameters:
    `o` - the reference object with which to compare.
  Returns:
    true if this object has the same reference as the o argument; false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD